Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class RenderManager

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.PortletRenderer
            |
            +--oracle.portal.provider.v2.render.RenderManager

All Implemented Interfaces:
  InitializableXMLObject, Validateable

public class RenderManager
extends PortletRenderer
implements InitializableXMLObject, Validateable

`RenderManager` implements a model whereby users can plug in individual renderers which handle a request for a specific render mode in a specific content type. Any class that implements the `ManagedRenderer` interface can be used with `RenderManager`. Consult the JPDK documentation for information about the various renderers supplied with the JPDK.

The individual `ManagedRenderer`s controlled by a `RenderManager` are registered by calling the `set<ModeName>Page(Object)` methods (e.g. `setShowPage(Object)`), which associate a renderer with a specific render mode. If you are using `DefaultProviderLoader`, these calls are made automatically when you include the appropriate tags in your provider XML registry file. For example: ``

     <showPage class="oracle.portal.provider.v2.render.http.ResourceRenderer">
        <resourcePath>/my/resource/path</resourcePath>
     </showPage>

Multiple `ManagedRenderer`s can be registered for a single render mode, provided they all handle different content types (i.e. their `ManagedRenderer.getContentType()` methods return different values). When locating the appropriate `ManagedRenderer` to service a particular render request, `RenderManager` will look for the first `ManagedRenderer` registered for the requested render mode whose content type matches the 'preferred content type' of the request. This allows a `RenderManager` to be configured so that it supports 'standard' browsers (e.g. with a `"text/html"` content type) as well as mobile devices (e.g. with a `"text/vnd.oracle.mobilexml"` content type).

`RenderManager` also supports registration of default renderers, controlled by `setDefaultPage(Object)` or the `<defaultPage>` tag. If unable to locate a `ManagedRenderer` for the requested render mode and content type and a default renderer has been registered with the appropriate content type, `RenderManager` will pass the request on to that renderer.

`RenderManager` supports 'short-hand' XML declarations where a `resourcePath` is included directly inside a 'page' tag, e.g. `<showPage>/my/resource/path</showPage>`. Support for these 'short-hand' declarations are provided by the `set<ModeName>Page(String)` methods (e.g. `setShowPage(String)`). These declarations result in a new `ResourceRenderer` being initialized with the supplied `resourcePath`. Consult the supplied documentation for more detailed instructions and examples.

By default, `RenderManager` will automatically render portlet containers for you. To disable the automatic rendering of the container call `setRenderContainer(false)`. Alternatively, you can set this in the provider XML registry: `<renderContainer>false</renderContainer>`

When renderering a Portlet's container, `RenderManager` will render the user's customized title (label), if the Portlet supports personalization.

Field Summary

Fields inherited from class oracle.portal.provider.v2.render.PortletRenderer
`DEFAULT_CHARACTER_ENCODING, LEFT_CURVE, MODE_ABOUT, MODE_EDIT, MODE_EDIT_DEFAULTS, MODE_HELP, MODE_LINK, MODE_NAME_ABOUT, MODE_NAME_EDIT, MODE_NAME_EDIT_DEFAULTS, MODE_NAME_HELP, MODE_NAME_LINK, MODE_NAME_PREVIEW, MODE_NAME_SHOW, MODE_NAME_SHOW_DETAILS, MODE_PREVIEW, MODE_SHOW, MODE_SHOW_DETAILS, PAGE_COLOR, PORTLET_BODY_COLOR, PORTLET_HEADER_COLOR, PORTLET_HEADER_LINK, PORTLET_HEADER_TEXT, PORTLET_HEADING_1, PORTLET_HEADING_2, PORTLET_HEADING_3, PORTLET_HEADING_4, PORTLET_SUBHEADER_COLOR, PORTLET_SUBHEADER_LINK, PORTLET_SUBHEADER_TEXT, PORTLET_TEXT_1, PORTLET_TEXT_2, PORTLET_TEXT_3, PORTLET_TEXT_4, RIGHT_CURVE, TOTAL_MODES, TYPE_HTML, TYPE_MOBILE, TYPE_XML`

Constructor Summary
`RenderManager()` Null Constructor

Method Summary
`ManagedRenderer` | `getAboutPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "about" mode with the given content type.
`boolean` | `getAutoInvalidate()` Returns the flag indicating whether or not `RenderManager` will attempt automatic invalidation of web cache content for this portlet upon customization.
`boolean` | `getAutoRedirect()` Gets the boolean flag used to determine if `RenderManager` should automatically issue a redirect after the portlet has processed the customization form
`java.lang.String` | `getCharSet()` Gets the Default IANA character encoding to be used for pages rendered by `ManagedRenderer`s.
`java.lang.String` | `getContentType()` Gets the MIME type to be used as the default content type for all `BaseManagedRenderer`s.
`ManagedRenderer` | `getDefaultPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's 'default' page with the given content type.
`ManagedRenderer` | `getEditDefaultsPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "editDefault" mode with the given content type.
`ManagedRenderer` | `getEditPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "edit" mode with the given content type.
`ManagedRenderer` | `getHelpPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "help" mode with the given content type.
`ManagedRenderer` | `getLinkPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "link" mode with the given content type.
`ManagedRenderer` | `getManagedRenderer(PortletRenderRequest pr)` Returns the `ManagedRenderer` object to be used to render this request.
`int` | `getPageExpires()` Gets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`.
`java.lang.String` | `getPageParameterName()` Gets the default name of the request parameter that is used to override the name of the page used by a `ManagedRenderer`.
`ManagedRenderer` | `getPreviewPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "preview" mode with the given content type.
`boolean` | `getRenderContainer()` Gets the boolean flag used by `RenderManager` to decide whether or not it renders the portlet's container.
`boolean` | `getRenderCustomize()` Gets the boolean flag used by `RenderManager` to decide whether or not it renders the portlet's customize container.
`ManagedRenderer` | `getShowDetailsPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "showDetails" mode with the given content type.
`ManagedRenderer` | `getShowPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "show" mode with the given content type.
`void` | `postInitialize()` Performs the extra steps required to initialize and validate a `RenderManager` once its properties have been set with the appropriate accessor methods.
`void` | `preInitialize(java.lang.Object o)` Performs the steps required to initialize this `RenderManager` after it has been constructed.
`void` | `render(PortletRenderRequest pr)` Renders the requested mode in the requested content type with an appropriate renderer.
`void` | `setAboutPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "about" mode.
`void` | `setAboutPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's About mode.
`void` | `setAutoInvalidate(boolean value)` Sets the flag indicating whether automatic invalidation of webcache content for the portlet upon customization should be performed.
`void` | `setAutoInvalidate(java.lang.String value)` Sets the flag indicating whether automatic invalidation of webcache content for the portlet upon customization should be performed.
`void` | `setAutoRedirect(boolean value)` Controls whether `RenderManager` automatically issues a redirect after the portlet has processed the customization form
`void` | `setAutoRedirect(java.lang.String value)` Controls whether `RenderManager` automatically issues a redirect after the portlet has processed the customization form
`void` | `setCharSet(java.lang.String charSet)` Sets the Default IANA character encoding to be used.
`void` | `setContentType(java.lang.String contentType)` Sets the MIME type to be used as the default content type for all `BaseManagedRenderer`s.
`void` | `setDefaultPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's 'default page'.
`void` | `setDefaultPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's Link mode.
`void` | `setEditDefaultsPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "editDefault" mode.
`void` | `setEditDefaultsPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's Edit Defaults mode.
`void` | `setEditPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "edit" mode.
`void` | `setEditPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's Edit mode.
`void` | `setHelpPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "help" mode.
`void` | `setHelpPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's Help mode.
`void` | `setLinkPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "link" mode.
`void` | `setLinkPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's Link mode.
`void` | `setPageExpires(int expires)` Sets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`.
`void` | `setPageExpires(java.lang.String expires)` Sets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`.
`void` | `setPageParameterName(java.lang.String name)` Sets the default name of the request parameter that is used to override the name of the page used by a `ManagedRenderer`.
`void` | `setPreviewPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "preview" mode.
`void` | `setPreviewPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's Preview mode.
`void` | `setRenderContainer(boolean value)` Controls whether `RenderManager` renders the portlet's container.
`void` | `setRenderContainer(java.lang.String value)` Controls whether `RenderManager` renders the portlet's container.
`void` | `setRenderCustomize(boolean value)` Controls whether `RenderManager` renders the portlet's customize container.
`void` | `setRenderCustomize(java.lang.String value)` Controls whether `RenderManager` renders the portlet's customize container.
`void` | `setShowDetailsPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "showDetails" mode.
`void` | `setShowDetailsPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's Show Details mode.
`void` | `setShowPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "show" mode.
`void` | `setShowPage(java.lang.String path)` Registers a `ResourceRenderer` that renders this portlet's Show mode.
`void` | `validate(java.lang.String context, ValidationError errors)` Validates the internal state of this `RenderManager` instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderManager

    public RenderManager()

  Null Constructor

Method Detail

### render

    public void render(PortletRenderRequest pr)
                throws PortletException,
                       AccessControlException

  Renders the requested mode in the requested content type with an appropriate renderer. If no renderer with the appropriate content type has been declared for this mode, rendering will fall back to the default renderer. The renderer is asked to prepare its response, its portlet header is drawn, the renderer is asked to render its body and finally the portlet footer is drawn.

  Note: If the JPDK is not rendering the portlet container, then it is the responsibility of the portlet developer to correctly handle the various state in which the portlet can be rendered (eg collapsed, not collapsed)

  Specified by:
    `render` in class `PortletRenderer`
  Parameters:
    `pr` - a PortletRenderRequest
  Throws:
    `PortletException` - if a ManagedRenderer for the requested render mode and content type could not be located or an error occurs while rendering
    `AccessControlException` - if the user is not authorized to access the portlet instance referred to by the request

### setRenderContainer

    public void setRenderContainer(boolean value)

  Controls whether `RenderManager` renders the portlet's container.

  Parameters:
    `value` - Boolean flag to tell `RenderManager` to either render the portlet's container (`true`) or not (`false`). `true` by default.

### setRenderContainer

    public void setRenderContainer(java.lang.String value)

  Controls whether `RenderManager` renders the portlet's container.

  Parameters:
    `value` - String representation of boolean value, indicating whether `RenderManager` should render the portlet's container (`"true"`) or not (`"false"`). `"true"` by default.

### getRenderContainer

    public boolean getRenderContainer()

  Gets the boolean flag used by `RenderManager` to decide whether or not it renders the portlet's container.

### setRenderCustomize

    public void setRenderCustomize(boolean value)

  Controls whether `RenderManager` renders the portlet's customize container.

  Parameters:
    `value` - Boolean flag to tell `RenderManager` to either render the portlet's customize container (`true`) or not (`false`). `true` by default.

### setRenderCustomize

    public void setRenderCustomize(java.lang.String value)

  Controls whether `RenderManager` renders the portlet's customize container.

  Parameters:
    `value` - String representation of boolean value, indicating whether `RenderManager` should render the portlet's customize container (`"true"`) or not (`"false"`). `"true"` by default.

### getRenderCustomize

    public boolean getRenderCustomize()

  Gets the boolean flag used by `RenderManager` to decide whether or not it renders the portlet's customize container.

### setAutoRedirect

    public void setAutoRedirect(boolean value)

  Controls whether `RenderManager` automatically issues a redirect after the portlet has processed the customization form

  Parameters:
    `value` - Boolean flag to tell `RenderManager` to either automatically issue a redirect (`true`) or not (`false`). `false` by default.

### setAutoRedirect

    public void setAutoRedirect(java.lang.String value)

  Controls whether `RenderManager` automatically issues a redirect after the portlet has processed the customization form

  Parameters:
    `value` - String representation of boolean value, indicating whether `RenderManager` should automatically issue a redirect (`"true"`) or not (`"false"`). `"false"` by default.

### getAutoRedirect

    public boolean getAutoRedirect()

  Gets the boolean flag used to determine if `RenderManager` should automatically issue a redirect after the portlet has processed the customization form

  Returns:
    true if RenderManager should issue the redirect. Otherwise false.

### setAutoInvalidate

    public void setAutoInvalidate(boolean value)

  Sets the flag indicating whether automatic invalidation of webcache content for the portlet upon customization should be performed.

  Parameters:
    `value` - `true` if `RenderManager` is to attempt automatic invalidation, `false` otherwise.

### setAutoInvalidate

    public void setAutoInvalidate(java.lang.String value)

  Sets the flag indicating whether automatic invalidation of webcache content for the portlet upon customization should be performed.

  Parameters:
    `value` - `"true"` if `RenderManager` is to attempt automatic invalidation, `"false"` otherwise.

### getAutoInvalidate

    public boolean getAutoInvalidate()

  Returns the flag indicating whether or not `RenderManager` will attempt automatic invalidation of web cache content for this portlet upon customization.

### preInitialize

    public void preInitialize(java.lang.Object o)
                       throws NodeHandlerException

  Performs the steps required to initialize this `RenderManager` after it has been constructed.

  Specified by:
    `preInitialize` in interface `InitializableXMLObject`
  Parameters:
    `o` - the object that will become this object's parent
  Throws:
    `NodeHandlerException` - if an error occurs while initializing this object

### postInitialize

    public void postInitialize()
                        throws NodeHandlerException

  Performs the extra steps required to initialize and validate a `RenderManager` once its properties have been set with the appropriate accessor methods.

  Specified by:
    `postInitialize` in interface `InitializableXMLObject`
  Throws:
    `NodeHandlerException` - if not all properties have been set correctly

### setContentType

    public void setContentType(java.lang.String contentType)

  Sets the MIME type to be used as the default content type for all `BaseManagedRenderer`s. This parameter will be inherited by any of this renderer's `BaseManagedRenderer`s for which the corresponding parameter has not been directly specified.

  Parameters:
    `contentType` - MIME type to be used as the default content type for `BaseManagedRenderer`s.

### getContentType

    public java.lang.String getContentType()

  Gets the MIME type to be used as the default content type for all `BaseManagedRenderer`s.

  Returns:
    the MIME type to be used as the default content type for all `BaseManagedRenderer`s.

### setPageExpires

    public void setPageExpires(int expires)

  Sets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`. This parameter will be inherited by any of this renderer's `BaseManagedRenderer`s for which the corresponding parameter has not been directly specified.

  Parameters:
    `expires` - the default integer number of minutes that the Portal should cache the output of a `BaseManagedRenderer`. If zero, indicates that the output should not be cached by default.

### setPageExpires

    public void setPageExpires(java.lang.String expires)

  Sets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`. This parameter will be inherited by any of this renderer's `BaseManagedRenderer`s for which the corresponding parameter has not been directly specified.

  Parameters:
    `expires` - String representation of the default integer number of minutes that the Portal should cache the output of a `BaseManagedRenderer`. If zero, indicates that the output should not be cached by default.

### getPageExpires

    public int getPageExpires()

  Gets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`.

  Returns:
    default expiration time in minutes for output from a `BaseManagedRenderer`. If non-zero, indicates the number of minutes the page should be cached by the Portal.

### setCharSet

    public void setCharSet(java.lang.String charSet)

  Sets the Default IANA character encoding to be used. This parameter will be inherited by any of this renderer's `ManagedRenderer`s for which the corresponding parameter has not been directly specified.

  Parameters:
    `charSet` - default IANA character encoding.

### getCharSet

    public java.lang.String getCharSet()

  Gets the Default IANA character encoding to be used for pages rendered by `ManagedRenderer`s.

  Returns:
    default IANA character encoding.

### setPageParameterName

    public void setPageParameterName(java.lang.String name)

  Sets the default name of the request parameter that is used to override the name of the page used by a `ManagedRenderer`. Used to communicate the "next" page in a portlet that uses multiple pages to render itself. This parameter will be inherited by any of this renderer's `Page`s for which the corresponding parameter has not been directly specified.

  Parameters:
    `name` - the default name of the request parameter that is used to override the page name.

### getPageParameterName

    public java.lang.String getPageParameterName()

  Gets the default name of the request parameter that is used to override the name of the page used by a `ManagedRenderer`.

  Returns:
    the default name of the request parameter that is used to override the page name.

### setShowPage

    public void setShowPage(java.lang.String path)
                     throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's Show mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setShowPage

    public void setShowPage(java.lang.Object renderer)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "show" mode.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getShowPage

    public ManagedRenderer getShowPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "show" mode with the given content type.

  Returns:
    the `ManagedRenderer` that renders this portlet's "show" mode with the given content type or `null` if no such renderer exists.

### setShowDetailsPage

    public void setShowDetailsPage(java.lang.String path)
                            throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's Show Details mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setShowDetailsPage

    public void setShowDetailsPage(java.lang.Object renderer)
                            throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "showDetails" mode. If not set, the "show" renderer is used by default.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getShowDetailsPage

    public ManagedRenderer getShowDetailsPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "showDetails" mode with the given content type.

  Returns:
    the `ManagedRenderer` that renders this portlet's "showDetails" mode with the given content type or `null` if no such renderer exists.

### setEditPage

    public void setEditPage(java.lang.String path)
                     throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's Edit mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setEditPage

    public void setEditPage(java.lang.Object renderer)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "edit" mode. If not set, the "editDefault" renderer is used by default.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getEditPage

    public ManagedRenderer getEditPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "edit" mode with the given content type.

  Returns:
    the `ManagedRenderer` that renders this portlet's "edit" mode with the given content type or `null` if no such renderer exists.

### setEditDefaultsPage

    public void setEditDefaultsPage(java.lang.String path)
                             throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's Edit Defaults mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setEditDefaultsPage

    public void setEditDefaultsPage(java.lang.Object renderer)
                             throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "editDefault" mode. If not set, the "edit" renderer is used by default.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getEditDefaultsPage

    public ManagedRenderer getEditDefaultsPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "editDefault" mode with the given content type.

  Returns:
    the `ManagedRenderer` that renders this portlet's "editDefault" mode with the given content type or `null` if no such renderer exists.

### setPreviewPage

    public void setPreviewPage(java.lang.String path)
                        throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's Preview mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setPreviewPage

    public void setPreviewPage(java.lang.Object renderer)
                        throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "preview" mode.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getPreviewPage

    public ManagedRenderer getPreviewPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "preview" mode with the given content type.

  Returns:
    the `ManagedRenderer` that renders this portlet's "preview" mode with the given content type or `null` if no such renderer exists.

### setAboutPage

    public void setAboutPage(java.lang.String path)
                      throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's About mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setAboutPage

    public void setAboutPage(java.lang.Object renderer)
                      throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "about" mode.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getAboutPage

    public ManagedRenderer getAboutPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "about" mode with the given content type.

  Returns:
    the `ManagedRenderer` that renders this portlet's "about" mode with the given content type or `null` if no such renderer exists.

### setHelpPage

    public void setHelpPage(java.lang.String path)
                     throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's Help mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setHelpPage

    public void setHelpPage(java.lang.Object renderer)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "help" mode.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getHelpPage

    public ManagedRenderer getHelpPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "help" mode with the given content type.

  Returns:
    the `ManagedRenderer` that renders this portlet's "help" mode with the given content type or `null` if no such renderer exists.

### setLinkPage

    public void setLinkPage(java.lang.String path)
                     throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's Link mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setLinkPage

    public void setLinkPage(java.lang.Object renderer)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "link" mode.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getLinkPage

    public ManagedRenderer getLinkPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "link" mode with the given content type.

  Returns:
    the `ManagedRenderer` that renders this portlet's "link" mode with the given content type or `null` if no such renderer exists.

### setDefaultPage

    public void setDefaultPage(java.lang.String path)
                        throws PortletException

  Registers a `ResourceRenderer` that renders this portlet's Link mode.

  Parameters:
    `path` - `ServletContext` relative path to the rendering resource.
  Throws:
    `PortletException` - if an error occurs while initializing a `ResourceRenderer`.

### setDefaultPage

    public void setDefaultPage(java.lang.Object renderer)
                        throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's 'default page'. This renderer is used when no `ManagedRenderer` has been specified for the specific mode of the render request.

  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    `PortletException` - if the given object is not a valid `ManagedRenderer` object.

### getDefaultPage

    public ManagedRenderer getDefaultPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's 'default' page with the given content type. This renderer is used when no `ManagedRenderer` has been specified for the specific mode of the render request.

  Returns:
    the `ManagedRenderer` that renders this 'default' page with the given content type or `null` if no such renderer exists.

### getManagedRenderer

    public ManagedRenderer getManagedRenderer(PortletRenderRequest pr)
                                       throws PortletException

  Returns the `ManagedRenderer` object to be used to render this request. The method looks for a `ManagedRenderer` registered for the appropriate mode whose content type matches the preferred content type of the render request. If no such `ManagedRenderer` exists, the method returns the `ManagedRenderer` registered as the 'default' for that content type, if one exists.

  Parameters:
    `pr` - the current render request.
  Returns:
    a `ManagedRenderer` to be used to render this request.
  Throws:
    `PortletException` - if no suitable `ManagedRenderer` has been registered.

### validate

    public void validate(java.lang.String context,
                         ValidationError errors)

  Validates the internal state of this `RenderManager` instance. Errors found are reported using the supplied `ValidationError` instance.

  Specified by:
    `validate` in interface `Validateable`
  Parameters:
    `context` - The context of the calling instance.
    `errors` - The current list of errors.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.